Apache Tomcat 6.0.51

## org.apache.coyote
Class AbstractProtocol

    java.lang.Object
      org.apache.coyote.AbstractProtocol

All Implemented Interfaces:
  ProtocolHandler

Direct Known Subclasses:
  AjpAprProtocol, AjpProtocol, Http11AprProtocol, Http11NioProtocol, Http11Protocol

    public abstract class AbstractProtocol

extends java.lang.Object
implements ProtocolHandler

Constructor Summary
`AbstractProtocol()`

Method Summary
`protected java.lang.String` | `createName(java.lang.String prefix, java.net.InetAddress address, int port)` An utility method, used to implement getName() in subclasses.
`protected abstract AbstractEndpoint` | `getEndpoint()`
`int` | `getLocalPort()`
`int` | `getMaxCookieCount()`
`int` | `getMaxHeaderCount()`
`int` | `getNameIndex()`
`static int` | `nextNameIndex()`
`void` | `setMaxCookieCount(int maxCookieCount)`
`void` | `setMaxHeaderCount(int maxHeaderCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.coyote.ProtocolHandler
`destroy, getAdapter, getAttribute, getAttributeNames, init, pause, resume, setAdapter, setAttribute, start`

Constructor Detail

### AbstractProtocol

    public AbstractProtocol()

Method Detail

### getEndpoint

    protected abstract AbstractEndpoint getEndpoint()

### getMaxHeaderCount

    public int getMaxHeaderCount()

### setMaxHeaderCount

    public void setMaxHeaderCount(int maxHeaderCount)

### getLocalPort

    public int getLocalPort()

### getNameIndex

    public int getNameIndex()

### nextNameIndex

    public static int nextNameIndex()

### getMaxCookieCount

    public int getMaxCookieCount()

### setMaxCookieCount

    public void setMaxCookieCount(int maxCookieCount)

### createName

    protected java.lang.String createName(java.lang.String prefix,
                                          java.net.InetAddress address,
                                          int port)

  An utility method, used to implement getName() in subclasses.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.